Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02200 Cheat System Critical (emulation) Have not tried Sep 4, 2008, 06:22 Sep 14, 2008, 13:19
Tester cibomatto2002 View Status Public Platform MAME (Official Binary)
Assigned To aaron Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver galaga.cpp
Version 0.127 Fixed in Version 0.127u3 Build Normal
Summary 02200: galaga: Locks up
Description The Game will lock up on the RAM OK ROM 01 Screen
Steps To Reproduce Play the game
Additional Information Related bugs:
02189
02188
02177
02166
Flags
Regression Version
Affected Sets / Systems galaga
Attached Files
jpg file icon Capture9-4-2008-1.10.37 AM.jpg (20,986 bytes) Sep 4, 2008, 06:22
Relationships
related to 02189Resolvedaaron gradius4: C'ant pass Setup 
related to 02188Resolvedaaron Many sets in neodrvr.c: Freeze on start up with a Work RAM Error. 
related to 02177Resolvedaaron All lethal.c sets: T 4 EEPROM error(BAD) 
related to 02166Resolvedaaron garou and clones: Work RAM Error 
Notes
5
User avatar
No.02320
Tafoid
Administrator
Sep 4, 2008, 06:32
New cheats are causing a problem. You are not supposed to report bugs unless the cheats are not active! This problem needs to be dealt with at http://cheat.retrogames.com (when it comes back online). Until then, either delete the .XML from the cheat.zip file or don't use the -cheat toggle for that game.
Closing
User avatar
No.02341
stephh
Developer
Sep 4, 2008, 22:05
What you said shall be stated somewhere in the rules ...
User avatar
No.02403
Tafoid
Administrator
Sep 8, 2008, 15:14
Reopen and confirmed as a Cheat Engine problem.
User avatar
No.02451
cibomatto2002
Viewer
Sep 14, 2008, 05:45
Thank you I was not even running any codes for the game to crash .

At the time I did not know it was a Cheat problem that is why I did not list it as Cheat System problem.
User avatar
No.02454
Tafoid
Administrator
Sep 14, 2008, 13:19
That was the point, you didn't have to be actively using a cheat. All you needed was -cheat toggled and the XML compilation in the same folder as MAME. Certain cheats which were assumed to be in an OFF state were ON - so this causes all sorts of problems with many games.